npm Community Forum (Archive)

The npm community forum has been discontinued.

To discuss usage of npm, visit the GitHub Support Community.

"0BSD" license should be a valid SPDX license expression

It’s an OSI-approved and SPDX-indexed license. Why is NPM throwing a warning for this when used in the license field of the package manifest?


Please create an issue over at https://github.com/shinnn/spdx-license-ids for this


It should be included in spdx-license-ids@3.0.3 which is in npm v6.6.0 (commit).


It should also be in spdx-license-ids@1.0.1 (commit) which is pretty old already. What version of npm are you using? And can you post the debug log?


Sweet business, thanks @zkat and @larsgw! :grin: